Upload Document API

Once the lead is created, use this API to upload documents.

The content-type should be multipart/form-data.

One document should be uploaded at a time. Use the lead id received in the loan booking API to construct the URL for upload document API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The required documents must be passed here, then the disburse API can be called.

POST /api/v1/client/line/<lead_id>/upload-document/

📘

Content Type

Note: The content type should be multipart/form-data.

📘

File Size Check

Please note that the API checks for file sizes for certain extensions: '.pdf', '.jpg', '.jpeg', '.png', '.xlsx', '.xls'. For these extensions minimum file size must be 1 kb. This is done to avoid any corrupt file uploads.

Body Params
int32
Defaults to 1

Document type of the document should be passed.

string

In case document is encrypted, the password should be provided.

file

File to be uploaded.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json